{{ ansible_managed | comment }}
#=========================================================================
# Copyright BPC Lmt. (c) 2015
# ------------------------------------------------------------------------
# Module Name:   sync_adapter.cfg
#=========================================================================

#=========================================================================
# maximal count of processing threads
#=========================================================================
#max_thread_count=16

#=========================================================================
# address and port to connect to web-service
# the values '0.0.0.0', '*' and 'ANY' in 'ws_address' are similar
#=========================================================================
ws_address={{ ws_address | default('0.0.0.0') }}
ws_port={{ ws_port | default('9000') }}

#=========================================================================
# MQ client unique identifier
#=========================================================================
mq_id={{ mq_id }}

#=========================================================================
# address and port to connect to MQ
#=========================================================================
mq_address={{ mq_host }}
mq_port={{ mq_port }}

#=========================================================================
# timeout of each MQ block awaiting in seconds
#=========================================================================
timeout=2400

#=========================================================================
# Automatic reconnect to AMQ server parameters
# ------------------------------------------------------------------------
# mq_reconnection       - allow to adapter perform reconnect to AMQ server
# mq_reconnect_attempts - count of reconnect attempts before final
#                         closing of MQ connection. Set 0 to forever trying
# mq_reconnect_delay    - timeout in seconds between each attempt of
#                         reconnection
#=========================================================================
mq_reconnection=true
mq_reconnect_attempts=0
mq_reconnect_delay=60

#=========================================================================
# Level of logging. There are possible values:
# ------------------------------------------------------------------------
# off        - turn off logging (not recommend)
# production - log only basic events (recommend for production mode)
# debug      - log all events (basic mode)
# extended   - log all events and show dumps (recommend for deep debug)
#=========================================================================
log_level=debug

#=========================================================================
# Log auto-rotation size (in kB). Set to 0 to turn auto-rotation off.
#=========================================================================
log_rotate_size=10240

#=========================================================================
# maximal count of strings in one MQ block
#=========================================================================
max_str_count=1000

#=========================================================================
# Block process on receiving parallel posting request or not
# 0 - not block, return error code
# 1 - block
#=========================================================================
block_on_parallel=true

#=========================================================================
# Default network identifier which is used when no network
# received in posting request
#=========================================================================
default_network=999

#=========================================================================
# Encoding which used in transfered data and in SVFE1
#=========================================================================
encoding=ISO-8859-2

#=========================================================================
# names of used MQ queues
#=========================================================================
mq_posting=postingInbox
mq_cref=crefOutbox
mq_dbal=dbalOutbox
mq_merchant=merchOutbox
mq_terminal=termOutbox
mq_convrate=ratesOutbox
mq_notif=notifOutbox

#=========================================================================
# names of binaries with constant arguments to process each type of data
#=========================================================================
{% for rec in adapter_binary_list -%}
{{ rec }}
{% endfor %}

close_day_delay=15
#=========================================================================
# Network(and institution)-defined parameters for posting:
# template: posting_parameters[<network_id>,<inst_id>]=<params>, where
# <network_id> - id of network (e.g., 990);
# <inst_id> - id of institution (e.g., 111, *);
# <params> - additional command line arguments for storforw00 (e.g., -d A -i 5 )
# NOTE: If you need to define additional arguments for a network and ANY
# institution, use a wildcard (e.g., [990,*])
#=========================================================================
# Uncomment these examples if needed
#posting_parameters[990,111]=-d A -i 5
#posting_parameters[990,*]=-d A

#redmine: 3632 balog_mi
mq_product=productOutbox
mq_reject=rejectInbox
bin_product=$SV_HOME/bin/bo2_fee_loader
thread_count=1
